RHEL 9 : sudo (RHSA-2023:0282)

high Nessus Plugin ID 170392

Synopsis

The remote Red Hat host is missing a security update.

Description

The remote Redhat Enterprise Linux 9 host has packages installed that are affected by a vulnerability as referenced in the RHSA-2023:0282 advisory.

- sudo: arbitrary file write with privileges of the RunAs user (CVE-2023-22809)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected sudo and / or sudo-python-plugin packages.

See Also

https://access.redhat.com/security/cve/CVE-2023-22809

https://bugzilla.redhat.com/2161142

https://access.redhat.com/errata/RHSA-2023:0282

Plugin Details

Severity: High

ID: 170392

File Name: redhat-RHSA-2023-0282.nasl

Version: 1.1

Type: local

Agent: unix

Published: 1/23/2023

Updated: 1/24/2023

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment

Risk Information

VPR

Risk Factor: Critical

Score: 9.2

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:L/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS Score Source: CVE-2023-22809

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:2.3:a:redhat:enterprise_linux:sudo:*:*:*:*:*:*:*, cpe:2.3:o:redhat:enterprise_linux:9:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:sudo-python-plugin:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 1/23/2023

Vulnerability Publication Date: 1/18/2023

Reference Information

CVE: CVE-2023-22809

RHSA: 2023:0282